Subject: MPLS TE and Constraint Based Routing

From: juan diego otero <[email-masked]>
Date: Mon, 3 Jul 2000 07:48:35 -0700 (PDT)

Hi,

I would like to know who does the constraint 
based routing (CBR) when we do TE in an MPLS domain.
I mean, is there a special CBR module in every router?
or is there a server that computes a kind of 
"off-line" CBR? Are there any available commercial
solution?

Thanks a lot.

Diego Otero.

__________________________________________________
Do You Yahoo!?
Kick off your party with Yahoo! Invites.
http://invites.yahoo.com/

---

From: Rajiv Papneja <[email-masked]>
Date: Thu, 6 Jul 2000 11:43:07 -0400 (EDT)

hi Juan,

  According to the RFC 2702, "Requirements of Traffic Engineering Over
MPLS" section 7.0, constraint based routing can be incorporated in the
LSRs in two ways: firstly by extending the current IGPs to support
CBR and secondly by including the CBR process in the routers,
which coexists with the current IGP. Atleast one of the two must exist.

  You can probably use off-line tools for path computation but sometimes
the off-line tools do not scale well with the network size and are not
much responsive to the network states.

 Take care

 Rajiv     

> "off-line" CBR? Are there any available commercial

********************************
Rajiv Papneja (GRA)
Advanced Internet Laboratory
George Mason University
Tel: 703.993.4700
email: [email-masked]
********************************

---

From: Alex Zinin <[email-masked]>
Date: Sun, 9 Jul 2000 22:10:40 -0700

Rajiv,

[...]
> the off-line tools do not scale well with the network size

Can you elaborate on the scaling comment a bit?

Regards,
Alex.

> and are not

---

From: Juan Diego Otero <[email-masked]>
Date: Tue, 11 Jul 2000 14:58:11 +0100

> Can you elaborate on the scaling comment a bit?

Alex, I'm not Rajiv but I think the problem is that if there is a server that
computates ALL
the CBR paths in the network, and this network is quite big,
we have two problems:

1. The server has a lot of proccessing work (maybe this is not a big problem).

2. Every device in the network has to inform the server its available
resources, and the server
    has to download the CBR routes to all the routers in the networks. The
server links may
    be congestioned.

Cheers!!

Diego Otero.

---

From: Alex Zinin <[email-masked]>
Date: Tue, 11 Jul 2000 08:18:18 -0700

Juan,

Thanks for your comments.

See below.

> 1. The server has a lot of proccessing work (maybe this is not a big problem).

Makes sense to me.
Complexity may be really high... depends on how the optimization
problem is stated and solved. It shouldn't be a problem, however,
since the tool is *off*-line and huge delays are expected.

> resources,

this does not seem to be an issue to me, we have this working
with on-line calculations.

> and the server has to download the CBR routes to all the routers
> in the networks.

Hmmm... I'd say only to head-ends that then use the signaling
protocol to install the LSPs.

Alex.

> The server links may be congestioned.